"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.documentOperationDescription = void 0;
exports.documentOperationDescription = [
    {
        displayName: 'ID',
        name: 'documentId',
        type: 'string',
        default: '',
        description: 'Document ID',
        displayOptions: {
            show: {
                resource: ['document'],
                operationDocument: ['get', 'update', 'delete', 'restore', 'send'],
            },
        },
    },
    {
        displayName: 'BodyType',
        name: 'documentBodyType',
        type: 'options',
        options: [
            {
                name: 'Complete Body',
                value: 'completeBody',
            },
            {
                name: 'Per Field',
                value: 'perField',
            },
        ],
        default: 'perField',
        description: 'Type of Body to set. complete body or per Field.',
        displayOptions: {
            show: {
                resource: ['document'],
                operationDocument: ['update', 'create'],
            },
        },
    },
    {
        displayName: 'Body',
        name: 'documentPostBody',
        type: 'string',
        default: '',
        description: 'Body to send in request',
        displayOptions: {
            show: {
                resource: ['document'],
                operationDocument: ['update', 'create'],
                documentBodyType: ['completeBody'],
            },
        },
    },
    {
        displayName: 'Options',
        name: 'optionsDocumentGet',
        type: 'collection',
        placeholder: 'Add Option',
        default: {},
        displayOptions: {
            show: {
                resource: ['document'],
                operationDocument: ['get'],
            },
        },
        options: [
            {
                displayName: 'includeVersions',
                name: 'includeVersions',
                type: 'boolean',
                default: false,
            },
            {
                displayName: 'includeTemplate',
                name: 'includeTemplate',
                type: 'boolean',
                default: false,
            },
            {
                displayName: 'includeEvents',
                name: 'includeEvents',
                type: 'boolean',
                default: false,
            },
            {
                displayName: 'returnType',
                name: 'returnType',
                type: 'options',
                options: [
                    {
                        name: 'Minimal',
                        value: 'minimal',
                    },
                    {
                        name: 'Full',
                        value: 'full',
                    },
                ],
                default: 'minimal',
            },
            {
                displayName: 'Skip',
                name: 'skip',
                type: 'string',
                default: '0',
            },
            {
                displayName: 'Limit',
                name: 'limit',
                type: 'string',
                default: '10',
            },
            {
                displayName: 'Sort',
                name: 'sort',
                type: 'string',
                default: '-createdAt',
                description: 'Sort on property (- for desc)',
            },
            {
                displayName: 'Status',
                name: 'status',
                type: 'string',
                default: '',
            },
        ],
    },
    {
        displayName: 'Options',
        name: 'optionsDocumentPost',
        type: 'collection',
        placeholder: 'Add Option',
        default: {},
        displayOptions: {
            show: {
                resource: ['document'],
                operationDocument: ['create', 'update'],
                documentBodyType: ['perField'],
            },
        },
        options: [
            {
                displayName: 'Reference',
                name: 'reference',
                type: 'string',
                default: '0',
            },
            {
                displayName: 'reverseVat',
                name: 'reverseVat',
                type: 'boolean',
                default: false,
            },
            {
                displayName: 'customerType',
                name: 'customerType',
                type: 'string',
                default: 'individual',
            },
            {
                displayName: 'Org_no',
                name: 'org_no',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Name',
                name: 'name',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Email',
                name: 'email',
                type: 'string',
                placeholder: 'name@email.com',
                default: '',
            },
            {
                displayName: 'Street',
                name: 'street',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Zip',
                name: 'zip',
                type: 'string',
                default: '',
            },
            {
                displayName: 'City',
                name: 'city',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Cellphone',
                name: 'cellphone',
                type: 'string',
                default: '',
            },
            {
                displayName: 'cellphoneRegion',
                name: 'cellphoneRegion',
                type: 'string',
                default: 'SE',
            },
            {
                displayName: 'separateWorkAddress',
                name: 'separateWorkAddress',
                type: 'string',
                default: '',
            },
            {
                displayName: 'workStreet',
                name: 'workStreet',
                type: 'string',
                default: '',
            },
            {
                displayName: 'workZip',
                name: 'workZip',
                type: 'string',
                default: '',
            },
            {
                displayName: 'workCity',
                name: 'workCity',
                type: 'string',
                default: '',
            },
            {
                displayName: 'vatNumber',
                name: 'vatNumber',
                type: 'string',
                default: '',
            },
            {
                displayName: 'externalId',
                name: 'externalId',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Note',
                name: 'note',
                type: 'string',
                default: '',
            },
        ],
    },
];
//# sourceMappingURL=DocumentOperationDescription%20copy.js.map